This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1466947 - ntpdate.service should start after network-online.target
ntpdate.service should start after network-online.target
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ntp (Show other bugs)
7.3
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Miroslav Lichvar
Andrej Dzilský
: EasyFix, Patch, Reproducer
Depends On:
Blocks: 1420851 1465928
  Show dependency treegraph
 
Reported: 2017-06-30 16:29 EDT by Orion Poplawski
Modified: 2017-10-16 10:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: ntp-4.2.6p5-28.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2017-06-30 16:29:16 EDT
Description of problem:

The ntpdate service starts before the network is online resulting in spurious messages like:

Jun 26 15:36:12 aspen ntpdate[641]: Can't find host ntp.cora.nwra.com: Name or service not known (-2)

It should have After=network-online.target instead of network.target, see https://www.freedesktop.org/wiki/Software/systemd/NetworkTarget/

/usr/libexec/ntpdate-wrapper keeps trying until the network is up, so the service ultimately succeeds, but this just seems like a hack around not having the proper target.

Version-Release number of selected component (if applicable):
ntp-4.2.6p5-25.el7_3.2.x86_64

Looks like this was fixed in Fedora a while back (bug #1116474), would be nice to get this into RHEL7.

Note You need to log in before you can comment on or make changes to this bug.